Subject: [Errata Held for Document Update] RFC7230 (4189)

From: RFC Errata System <[email-masked]>
Date: Wed, 22 Apr 2015 07:51:47 -0700 (PDT)

The following errata report has been held for document update 
for RFC7230, "Hypertext Transfer Protocol (HTTP/1.1): Message Syntax and Routing". 

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=7230&eid=4189

--------------------------------------
Status: Held for Document Update
Type: Technical

Reported by: Simon Schueppel <[email-masked]>
Date Reported: 2014-11-26
Held by: Barry Leiba (IESG)

Section: 3.2

Original Text
-------------
     field-name     = token
     field-value    = *( field-content / obs-fold )
     field-content  = field-vchar [ 1*( SP / HTAB ) field-vchar ]
     field-vchar    = VCHAR / obs-text

     obs-fold       = CRLF 1*( SP / HTAB )
                    ; obsolete line folding
                    ; see Section 3.2.4

Corrected Text
--------------
     field-name     = token
     field-value    = *( field-content / obs-fold )
     field-content  = field-vchar [ 1*( SP / HTAB / field-vchar )
                      field-vchar ]
     field-vchar    = VCHAR / obs-text

     obs-fold       = OWS CRLF 1*( SP / HTAB )
                    ; obsolete line folding
                    ; see Section 3.2.4

Notes
-----
the field-value rule given in Section 3.2 will not recognize several strings recognized by specific header rules.

Examples:
    - ", , ," recognized by legacy list rule
    - "abrowser/0.001 (C O M M E N T)" recognized by User-Agent rule
    - "gzip , chunked" recognized by Transfer-Encoding rule
    - etc.

General Problem:
    the specified field-value rule does not allow single field-vchar surrounded by whitespace anywhere

Further Notes:
    -what the authors propably wanted to say:
        a string of octets is a field-value if, and only if:
            -it is *( field-vchar / SP / HTAB / obs-fold )
            -if it is not empty, it starts and ends with field-vchar

    -the suggested correction was designed according to these criteria

--------------------- Notes from verifier ---------------------
This has been edited from the original report after discussion, but even this is not right.  There's more here than can be reasonably fixed in an errata report, and the proper fix needs to be done in a revision of the document -- hence, "Held for Document Update".  Note that this *is* a valid report, and that a fix is needed.  The one above is the best approach for now, and a better fix will be developed in 7230bis.

--------------------------------------
RFC7230 (draft-ietf-httpbis-p1-messaging-26)
--------------------------------------
Title               : Hypertext Transfer Protocol (HTTP/1.1): Message Syntax and Routing
Publication Date    : June 2014
Author(s)           : R. Fielding, Ed., J. Reschke, Ed.
Category            : PROPOSED STANDARD
Source              : Hypertext Transfer Protocol Bis
Area                : Applications
Stream              : IETF
Verifying Party     : IESG